Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.type
Interface ListType

All Superinterfaces:
  SchemaComponent, SchemaType, java.io.Serializable, SimpleType

All Known Implementing Classes:
  BuiltInListType, UserListType

public interface ListType
extends SimpleType

Interface representing a simple type of variety List

Field Summary

Fields inherited from interface net.sf.saxon.type.SchemaType
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION, DERIVE_BY_SUBSTITUTION`

Fields inherited from interface net.sf.saxon.type.SchemaComponent
`FIXED_UP, INCOMPLETE, INVALID, UNVALIDATED, VALIDATED, VALIDATING`

Method Summary
`SimpleType` | `getItemType()` Returns the simpleType of the items in this ListType.

Methods inherited from interface net.sf.saxon.type.SimpleType
`getBuiltInBaseType, getCommonAtomicType, getTypedValue, getWhitespaceAction, isAtomicType, isListType, isNamespaceSensitive, isUnionType, validateContent`

Methods inherited from interface net.sf.saxon.type.SchemaType
`allowsDerivation, analyzeContentExpression, atomize, getBaseType, getBlock, getDerivationMethod, getDescription, getDisplayName, getFingerprint, getNameCode, getTypedValue, isComplexType, isSameType, isSimpleType, isTypeDerivationOK`

Methods inherited from interface net.sf.saxon.type.SchemaComponent
`getValidationStatus`

Method Detail

### getItemType

    public SimpleType getItemType()

  Returns the simpleType of the items in this ListType. This method assumes that the item type has been fully resolved

  Returns:
    the simpleType of the items in this ListType.
  Throws:
    `java.lang.IllegalStateException` - if the item type has not been fully resolved

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD